#!/bin/sh

# perfcheck_ldap.sh
#
# Last Updated: 2004/01/22 17:36 CST
# Desription:
#   Shell script to gather tuning information for ldap.
# Usage:
#   This script should be run as root. Output can
#   be redirected to a file to send to support if needed.


# Stop if we're not root
ID=`id | grep uid=0`
if [ "$?" != "0" ]
then
echo "ERROR: This script should be run as root."
exit 1;
fi


echo "*******************************"
echo "perfcheck_ldap.sh"
uname -a
date
echo "*******************************"

echo
echo "Connection settings"
echo "---------------------------"
grep DbConn /etc/ldapschema/ibmslapd.conf

echo
echo "Cache settings"
echo "---------------------------"
grep Cache /etc/ldapschema/ibmslapd.conf

echo
echo "Monitor report"
echo "---------------------------"
ldapsearch -b cn=monitor -s base "objectclass=*"


