#!/bin/sh

# perfcheck_system.sh
#
# Last Updated: 2004/01/22 18:12 CST
# Desription:
#   Shell script to gather tuning information for your system.
# Usage:
#   This script should be run as root. Output can
#   be redirected to a file to send to support if needed.


# Stop if we're not root
ID=`id | grep uid=0`
if [ "$?" != "0" ]
then
echo "ERROR: This script should be run as root."
exit 1;
fi

# Now we need to determine the OS
OS=`uname -s`


echo "*******************************"
echo "perfcheck_system.sh"
uname -a
date
echo "*******************************"

echo
echo "Memory"
echo "---------------------------"
prtconf | grep Memory | grep -i size

echo
echo "Swap"
echo "---------------------------"
if [ "$OS" = "AIX" ]
then
   lsps -s
else if [ "$OS" = "SunOS" ]
then
   swap -l
fi
fi

echo
echo "Processor Information"
echo "---------------------------"
if [ "$OS" = "AIX" ]
then
   for i in `lscfg | grep proc | cut -d' ' -f 2`
   do
   echo $i
   lsattr -l $i -E
   done
else if [ "$OS" = "SunOS" ]
then
   echo "Not Coded"
fi
fi


echo
echo "Kernel bit level (32 or 64)"
echo "---------------------------"
if [ "$OS" = "AIX" ]
then
   prtconf | grep bit
else if [ "$OS" = "SunOS" ]
then
   /usr/bin/isainfo -kv
fi
fi


echo
echo "Kernel Parameters"
echo "---------------------------"
if [ "$OS" = "AIX" ]
then
   echo "Not Applicable"
else if [ "$OS" = "SunOS" ]
then
   cat /etc/system | egrep "\s*set" | egrep -v "^\*"
fi
fi

