#!/bin/sh

# perfcheck_was.sh
#
# Last Updated: 2004/01/22 19:38 CST
# Desription:
#   Shell script to gather tuning information for WebSphere.
# Usage:
#   This script should be run as root. Output can
#   be redirected to a file to send to support if needed.


# WebSphere home directory (ie: /usr/WebSphere/AppServer)
WAS_HOME=/usr/WebSphere/AppServer


# Stop if we're not root
ID=`id | grep uid=0`
if [ "$?" != "0" ]
then
echo "ERROR: This script should be run as root."
exit 1;
fi


# Find the server.xml and resources.xml file
SVR_FILE=`find $WAS_HOME/config/cells | grep server.xml | grep servers | grep -v bak | grep -v nodeagent | grep -v jmsserver`
RES_FILE=`find $WAS_HOME/config/cells | grep resources.xml | grep -v bak | grep servers`

echo "*******************************"
echo "perfcheck_was.sh"
uname -a
date
echo "*******************************"


echo
echo "JVM Heap Size"
echo "---------------------------"
LINE=`grep maximumHeap $SVR_FILE`
for i in $LINE
do
if [ `echo $i | grep HeapSize` ]
then
echo $i
fi
done


echo
echo "Transaction Service"
echo "---------------------------"
LINE=`grep TransactionService $SVR_FILE`
for i in $LINE
do
if [ `echo $i | grep -i timeout` ]
then
echo $i
fi
done


echo
echo "JDBC Connection Information"
echo "---------------------------"
LINE=`grep connectionPool $RES_FILE | grep statementCacheSize`
for i in $LINE
do
echo $i
done

echo
echo "ITIM Queues - Connection Pool"
echo "---------------------------"
LINE=`grep connectionPool $RES_FILE | grep purgePolicy`
for i in $LINE
do
echo $i
done

echo
echo "ITIM Queues - Session Pool"
echo "---------------------------"
LINE=`grep sessionPool $RES_FILE | grep purgePolicy`
for i in $LINE
do
echo $i
done

