#!/bin/sh

# perfmon_ldap.sh
#
# Last Updated: 2004/07/29 1036 CDT
# Desription:
#   Shell script to monitor the number of entries in the ldap database.
# Usage:
#   This script should be run as the user for the database (ie: one that
#   has connect and runstats abilities and permissions).
#
# ./perfmon_ldap.sh [TABLES]
#      TABLES = table name to monitor. if none are given, ldap_entry
#               is used

# Name of the database
DB_NAME=ldapdb2

# Sample rate (in seconds)
WAIT=60

# Name of the log file (will be appended)
MONITOR_LOG =perfmon_ldap.log
MONITOR_TEMP=perfmon_ldap.tmp

if [ $# -gt 0 ]; then
  TABLE=$1
else
  TABLE=ldap_entry
fi


db2 connect to $DB_NAME

DATE=`date +"%Y%m%d %H:%M:%S"`
echo [$DATE] Monitoring started on table $TABLE ... | tee -a $MONITOR_LOG

while true
do
DATE=`date +"%Y%m%d %H:%M:%S"`
db2 "select count(eid) from $TABLE" | head -4 | tail -1 > $MONITOR_TEMP
RESULT=`cat $MONITOR_TEMP`
echo [$DATE] $RESULT | tee -a $MONITOR_LOG
sleep $WAIT
done

