#!/bin/sh

# perftune_deletecompleted.sh
#
# Last Updated: 2003/10/28 1500 CST
# Desription:
#   Deletes completed transactions in the ITIM database from a given date
#   back.
# Usage:
#   This script should be run as the user for the database (ie: one that
#   has connect and delete privileges).

DATABASE=itim
SCHEMA=ENROLE
DATE=2003-09-16

# Connect to the database
echo Connecting to $DATABASE
db2 connect to $DATABASE

# Delete data in the tables
echo Deleting completed records from $DATE back
echo Table: $SCHEMA.ACTIVITY
db2 "delete from $SCHEMA.activity where process_id in (select id from $SCHEMA.process where completed <= '$DATE %')"
echo Table: $SCHEMA.PENDING
db2 "delete from $SCHEMA.pending where process_id in (select id from $SCHEMA.process where completed <= '$DATE %')"
echo Table: $SCHEMA.PROCESSLOG
db2 "delete from $SCHEMA.processlog where process_id in (select id from $SCHEMA.process where completed <= '$DATE %')"
echo Table: $SCHEMA.PROCESS
db2 "delete from $SCHEMA.process where completed <= '$DATE %'"
