#!/bin/sh

# perftune_ldapdb2.sh
#
# Last UpdateD: 2003/10/30 1745 CST
# Desription:
#   Shell script to tune the LDAPDB2 instance.
#
#   NOTE: This _will_ need to be customized for your environment.
#   The values shown below are to be used as guidelines only. Please
#   consult the ITIM Performance and Tuning Guide for more accurate
#   information.
# Usage:
#   This script should be run as the admin for the database (ie: one
#   that has connect and admin privileges).

# After customizing, remove the following two lines
echo "This script should be customized before running!"
exit;

DATABASE=ldapdb2
SCHEMA=LDAPDB2

db2 connect to $DATABASE

echo Updating db configuration parameters
db2 update database configuration for $DATABASE using dbheap 1200
db2 update database configuration for $DATABASE using applheapsz 2048
db2 update database configuration for $DATABASE using maxappls 40
db2 update database configuration for $DATABASE using app_ctl_heap_sz 1024
db2 update database configuration for $DATABASE using logsecond 12
db2 update database configuration for $DATABASE using logfilsiz 10000
db2 update database configuration for $DATABASE using sortheap 2500
db2 update database manager configuration using sheapthres 75000

echo Setting bufferpools
# Allocate 600MB for ibmdefaultbp; 200MB for ldapbp; 200MB for slapd and system
#db2 alter bufferpool ibmdefaultbp size 146484
#db2 alter bufferpool ldapbp size 6103
# Allocate 400MB for ibmdefaultbp; 100MB for ldapbp; 500MB for slapd and system
#db2 alter bufferpool ibmdefaultbp size 97656
#db2 alter bufferpool ldapbp size 3051
# Allocate 800MB for ibmdefaultbp; 200MB for ldapbp; 1000MB for slapd and system
db2 alter bufferpool ibmdefaultbp size 195312
db2 alter bufferpool ldapbp size 6102

echo Display bufferpool settings
db2 "select bpname,npages,pagesize from syscat.bufferpools"

echo Creating Indexes
db2 'CREATE INDEX OWNER_OWNERT_X ON $SCHEMA.OWNER ("OWNER_T" ASC)'
db2 'CREATE INDEX ERISDEL_ISDEL_X ON $SCHEMA.ERISDELETED ("ERISDELETED" ASC)'
db2 'CREATE INDEX OU_OU_X ON $SCHEMA.OU ("OU" ASC)'

echo Restarting DB2
db2 terminate
db2 force applications all
sleep 3
db2stop
db2start

echo Performing runstats on tables to update index statistics
./perftune_runstats.sh
