#!/bin/sh

# perftune_queues_poll.sh
#
# Last UpdateD: 2004/07/07 09:22 CDT
# Desription:
#   Shell script to poll MQ queue information
# Usage:
#   This script should be run as root with write access in TEMP
#   (see below).

# Temporary directory
TEMP=/tmp

# Poll duration (sleeps X seconds)
POLL=30

# Get the queue manager name
QUEUEMANAGER=`dspmq | grep jmsserver | cut -d'(' -f 2 | cut -d')' -f 1`

# Delete the script
rm $TEMP/pollqueueinfo.mqs

# Create get queue info script
#for i in WQ_itim_adhocSync WQ_itim_ms WQ_itim_rs WQ_itim_wf WQ_itim_wf_abort WQ_itim_wf_pending
for i in WQ_itim_ms WQ_itim_wf WQ_itim_wf_pending
do
echo "display queue('$i') ipprocs curdepth" >> $TEMP/pollqueueinfo.mqs
done

# poll
while `true`
do

# Run the script through runmqsc
runmqsc $QUEUEMANAGER < $TEMP/pollqueueinfo.mqs > $TEMP/pollqueueresult.mqr

# Parse the results
cat $TEMP/pollqueueresult.mqr | awk 'BEGIN{ printf("\n%-20s  %10s  %10s\n","queue","depth","conns"); } /QUEUE(.*)/ { queue=substr($1,7,length($1)-7); ipprocs=substr($2,9,length($2)-9); } /CURDEPTH/ { depth=substr($1,10,length($1)-10); printf("%-20s  %10s  %10s\n",queue,depth,ipprocs);}'

rm $TEMP/pollqueueresult.mqr

sleep $POLL

done

# Delete the script
rm $TEMP/pollqueueinfo.mqs
