#!/bin/sh

# ubertail.sh
#
# Last Updated: 2004/02/26 17:46 CST
# Description:
#   Shell script to tail a log file who keeps getting archived (ie: itim.log)
# Usage:
#   ./ubertail.sh <file_to_tail>


# Test for arguments
if [ $# -eq 0 ]; then
  echo ERROR: $0 requires a file to tail as the first argument
  exit 1
fi

FILENAME=$1
PIDFILE=$0.pid
export PIDFILE

# Start the initial tail
tail -1 -f $FILENAME &
PID=`jobs -l | awk '($2 == "+") {print $3}'`
echo $PID > $PIDFILE
OLDINODE=`ls -i $FILENAME | cut -d' ' -f1`

# Set up the trap to clean up after ourselves
trap "kill `cat $PIDFILE`; rm $PIDFILE; exit 0" 1 2 15

# Check for a new file every second
while [ 1 ]; do
  NEWINODE=`ls -i $FILENAME | cut -d' ' -f1`
  if [ $NEWINODE -ne $OLDINODE ]; then
    kill $PID
    tail -1 -f $FILENAME &
    PID=`jobs -l | awk '($2 == "+") {print $3}'`
    echo $PID > $PIDFILE
    OLDINODE=$NEWINODE
  fi
  sleep 1
done
